pango-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Stores global information used to control the itemization process. GLib.Object GLib.IWrapper System.IDisposable
- Method
  Pango.Font `` Loads the font in one of the fontmaps in the context that is the closest match for . an object of type describing the font to load the font loaded, or if no font matched.
- Method
  Pango.FontMetrics `` `` Get overall metric information for a font particular font description. an object of type language tag used to determine which script to get the metrics for, or to indicate to get the metrics for the entire font. a object. Since the metrics may be substantially different for different scripts, a language tag can be provided to indicate that the metrics should be retrieved that correspond to the script(s) used by that language.

  The is interpreted in the same way as by pango_itemize(), and the family name may be a comma separated list of figures. If characters from multiple of these families would be used to render the string, then the returned fonts would be a composite of the metrics for the fonts loaded for the individual families.

- Method
  Pango.Fontset `` `` Load a set of fonts in the context that can be used to render a font matching . an object of type describing the fonts to load an object of type the fonts will be used for the fontset, or if no font matched.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Context, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  Pango.FontDescription The default font description for the context. the new pango font description the context's default font description.
- Property
  Pango.Language The global language tag for the context. the new language tag. the global language tag.
- Property
  Pango.Direction The base direction for the context. the new base direction the base direction The base direction is used in applying the Unicode bidirectional algorithm; if the direction is or , then the value will be used as the paragraph direction in the Unicode bidirectional algorithm.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Method
  System.Int32 `` List all families for a context. a the number of families
- Constructor
  Internal constructor
  a
  This is an internal constructor, and should not be used by user code.
- Property
  Pango.FontFamily[] Returns an array of Font Families. a